var UpdatesUtil = new Object();

////////////////////////////////////////////////////////////////////////////////
// Criteria Chooser functions
////////////////////////////////////////////////////////////////////////////////

/**
 * Mark the next appropriate node for when removing the current node.
 * @param treeId - html id for the node
 * @param idArray - depth array of the current node.
 * return - true indicating that a sibling node in the tree was found (and markded)
 */
UpdatesUtil.markNextSibling = function(treeId, idArray){
alert('is this called markNextSibling');
    var returnArray = new Array(idArray);
    var currentNode = document.getElementById(treeId +  '-' + idArray[0]);
    var foundNext = false;
    var sibling = currentNode.nextSibling;
    while(sibling != null && !foundNext){
        if(sibling.nodeName == 'LI'){
            var inputs = sibling.getElementsByTagName('input');
            var visible = inputs[0].value.split('	')[2];
            if(visible == 'true'){
                foundNext = true;
            }
            else if(UpdatesUtil.hasSelectedChildren(sibling)){
                foundNext = true;
            }
        }
        if(!foundNext){
            sibling = sibling.nextSibling;
        }
    }
    if(!foundNext){
        sibling = currentNode.previousSibling;
    }
    while(sibling != null && !foundNext){
        if(sibling.nodeName == 'LI'){
            var inputs = sibling.getElementsByTagName('input');
            var visible = inputs[0].value.split('	')[2];
            if(visible == 'true'){
                foundNext = true;
            }
            else if(UpdatesUtil.hasSelectedChildren(sibling)){
                foundNext = true;
            }
        }
        if(!foundNext){
            sibling = sibling.previousSibling;
        }
    }
    if(!foundNext){
        sibling = currentNode.parentNode.parentNode;
        if(sibling.nodeName != 'LI'){
        	return false;
        }
    }
    returnArray = UpdatesUtil.buildIdArray(sibling);
    document.getElementById(treeId).reMarkNode(returnArray);
    return !foundNext;
};










